bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Infered

Bio.Alignment.Multiple

Description

Multiple alignments.

Synopsis

- progressive :: (Sequence a -> Sequence a -> (Double, EditList)) -> [Sequence a] -> [String]
- indirect :: EditList -> EditList -> EditList

# Documentation

progressive :: (Sequence a -> Sequence a -> (Double, EditList)) -> [Sequence a] -> [String]

Progressive multiple alignment. Calculate a tree from agglomerative clustering, then align at each branch going bottom up. Returns a list of columns (rows?).

indirect :: EditList -> EditList -> EditList

Derive alignments indirectly, i.e. calculate A|C using alignments A|B and B|C. This is central for `Coffee` evaluation of alignments, and T-Coffee construction of alignments.